    .macro function name
.align  2
.global \name
.ent    \name
\name:
    .endm

    .macro load_unaligned src, reg, treg
ldr   \treg, 0(\src)
ldl   \treg, 7(\src)
dmtc1 \treg, \reg
    .endm

    .macro store_unaligned src, reg, treg
dmfc1 \treg, \reg
sdr   \treg, 0(\src)
sdl   \treg, 7(\src)
    .endm

    .macro load_unaligned4 src, reg, treg
lwr   \treg, 0(\src)
lwl   \treg, 3(\src)
mtc1  \treg, \reg
    .endm

    .macro store_unaligned4 src, reg, treg
mfc1  \treg, \reg
swr   \treg, 0(\src)
swl   \treg, 3(\src)
    .endm

