#include "asm.S"

        .set arch=loongson2f
        .set noreorder
        .set noat

function put_pixels_clamped_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add       $t8,  $a1,  $a2
        li        $t9,  4
        sll       $a2,  $a2,  1
1:      mtc1      $0,   $f14
        mtc1      $0,   $f15
        ld        $t0,  ($a0)
        ld        $t2,  8($a0)
        dmtc1     $t0,  $f0
        dmtc1     $t2,  $f2
        ld        $t4,  16($a0)
        ld        $t6,  24($a0)
        dmtc1     $t4,  $f4
        dmtc1     $t6,  $f6
        packushb  $f0,  $f0,  $f2
        packushb  $f4,  $f4,  $f6
        dmfc1     $t0,  $f0
        dmfc1     $t2,  $f4
        sd        $t0, ($a1)
        sd        $t2, ($t8)
        addi      $t9,  $t9,  -1
        add       $a1,  $a1,  $a2
        add       $t8,  $t8,  $a2
        bgtz      $t9,  1b
        addi      $a0,  $a0,  32
        j         $31
        nop
.end put_pixels_clamped_loongson

function add_pixels_clamped_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add       $t8,  $a1,  $a2
        li        $t9,  4
        sll       $a2,  $a2,  1
1:      mtc1      $0,   $f14
        mtc1      $0,   $f15
        ld        $t0,  ($a0)
        ld        $t2,  8($a0)
        dmtc1     $t0,  $f0
        dmtc1     $t2,  $f2
        ld        $t4,  16($a0)
        ld        $t6,  24($a0)
        dmtc1     $t4,  $f4
        dmtc1     $t6,  $f6
        ld        $t0, ($a1)
        ld        $t2, ($t8)
        dmtc1     $t0,  $f8
        dmtc1     $t2,  $f12
        punpckhbh $f10, $f8,  $f14
        punpcklbh $f8,  $f8,  $f14
        paddsh    $f0,  $f0,  $f8
        paddsh    $f2,  $f2,  $f10
        punpckhbh $f10, $f12, $f14
        punpcklbh $f16, $f12, $f14
        paddsh    $f6,  $f6,  $f10
        paddsh    $f4,  $f4,  $f16
        packushb  $f0,  $f0,  $f2
        packushb  $f4,  $f4,  $f6
        dmfc1     $t0,  $f0
        dmfc1     $t2,  $f4
        sd        $t0, ($a1)
        sd        $t2, ($t8)
        addi      $t9,  $t9,  -1
        add       $a1,  $a1,  $a2
        add       $t8,  $t8,  $a2
        bgtz      $t9,  1b
        addi      $a0,  $a0,  32
        j         $31
        nop
.end add_pixels_clamped_loongson

function put_pixels8_mspel_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        li       $a3,  8
        add      $t7,  $a0,  $a2
        add      $t8,  $a1,  $a2
        add      $t9,  $a2,  $a2
1:      ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        add      $t7,  $t7,  $t9
        add      $t8,  $t8,  $t9
        ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        addi     $a3,  $a3,  -4
        add      $t7,  $t7,  $t9
        bgtz     $a3,  1b
        add      $t8,  $t8,  $t9
        j        $31
        nop
.end put_pixels8_mspel_loongson

function put_pixels8_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add      $t7,  $a0,  $a2
        add      $t8,  $a1,  $a2
        add      $t9,  $a2,  $a2
1:      ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        add      $t7,  $t7,  $t9
        add      $t8,  $t8,  $t9
        ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        addi     $a3,  $a3,  -4
        add      $t7,  $t7,  $t9
        bgtz     $a3,  1b
        add      $t8,  $t8,  $t9
        j        $31
        nop
.end put_pixels8_loongson

function put_pixels16_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add      $t8,  $a0,  $a2
        add      $t9,  $a1,  $a2
        add      $a2,  $a2,  $a2
1:      ldr      $t0,   0($a1)
        ldl      $t0,   7($a1)
        ldr      $t2,   8($a1)
        ldl      $t2,  15($a1)
        ldr      $t4,   0($t9)
        ldl      $t4,   7($t9)
        ldr      $t6,   8($t9)
        ldl      $t6,  15($t9)
        sd       $t0,   0($a0)
        sd       $t2,   8($a0)
        sd       $t4,   0($t8)
        sd       $t6,   8($t8)
        add      $a0,  $a0,  $a2
        add      $a1,  $a1,  $a2
        add      $t8,  $t8,  $a2
        add      $t9,  $t9,  $a2
        ldr      $t0,   0($a1)
        ldl      $t0,   7($a1)
        ldr      $t2,   8($a1)
        ldl      $t2,  15($a1)
        ldr      $t4,   0($t9)
        ldl      $t4,   7($t9)
        ldr      $t6,   8($t9)
        ldl      $t6,  15($t9)
        sd       $t0,   0($a0)
        sd       $t2,   8($a0)
        sd       $t4,   0($t8)
        sd       $t6,   8($t8)
        add      $a0,  $a0,  $a2
        add      $a1,  $a1,  $a2
        addi     $a3,  $a3,  -4
        add      $t8,  $t8,  $a2
        bgtz     $a3,  1b
        add      $t9,  $t9,  $a2
        j        $31
        nop
.end put_pixels16_loongson

function put_qpel8_mc00_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add      $t7,  $a0,  $a2
        add      $t8,  $a1,  $a2
        add      $t9,  $a2,  $a2
        li       $a3,  8
1:      ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        add      $t7,  $t7,  $t9
        add      $t8,  $t8,  $t9
        ldr      $t0,  0($a1)
        ldl      $t0,  7($a1)
        ldr      $t2,  0($t8)
        ldl      $t2,  7($t8)
        sd       $t0, ($a0)
        sd       $t2, ($t7)
        add      $a0,  $a0,  $t9
        add      $a1,  $a1,  $t9
        addi     $a3,  $a3,  -4
        add      $t7,  $t7,  $t9
        bgtz     $a3,  1b
        add      $t8,  $t8,  $t9
        j        $31
        nop
.end put_qpel8_mc00_loongson

function put_qpel16_mc00_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add      $t8,  $a0,  $a2
        add      $t9,  $a1,  $a2
        add      $a2,  $a2,  $a2
        li       $a3,  16
1:      ldr      $t0,   0($a1)
        ldl      $t0,   7($a1)
        ldr      $t2,   8($a1)
        ldl      $t2,  15($a1)
        ldr      $t4,   0($t9)
        ldl      $t4,   7($t9)
        ldr      $t6,   8($t9)
        ldl      $t6,  15($t9)
        sd       $t0,   0($a0)
        sd       $t2,   8($a0)
        sd       $t4,   0($t8)
        sd       $t6,   8($t8)
        add      $a0,  $a0,  $a2
        add      $a1,  $a1,  $a2
        add      $t8,  $t8,  $a2
        add      $t9,  $t9,  $a2
        ldr      $t0,   0($a1)
        ldl      $t0,   7($a1)
        ldr      $t2,   8($a1)
        ldl      $t2,  15($a1)
        ldr      $t4,   0($t9)
        ldl      $t4,   7($t9)
        ldr      $t6,   8($t9)
        ldl      $t6,  15($t9)
        sd       $t0,   0($a0)
        sd       $t2,   8($a0)
        sd       $t4,   0($t8)
        sd       $t6,   8($t8)
        add      $a0,  $a0,  $a2
        add      $a1,  $a1,  $a2
        addi     $a3,  $a3,  -4
        add      $t8,  $t8,  $a2
        bgtz     $a3,  1b
        add      $t9,  $t9,  $a2
        j        $31
        nop
.end put_qpel16_mc00_loongson

function clear_some_blocks_loongson
        .mask   0x00000000,0
        .fmask  0x00000000,0

        sll       $t9,  $t0, 2
        move      $t0,  $0
        li        $t1,  0
1:      sd        $t0,   0($a0)
        sd        $t0,   8($a0)
        sd        $t0,  16($a0)
        addi      $t9,  $t9,  -1
        sd        $t0,  24($a0)
        bgtz      $t9,  1b
        addi      $a0,  $a0,  32
        j         $31
        nop
.end clear_some_blocks_loongson

function clear_block_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        b   clear_some_blocks_loongson
        li  $t0, 1
.end clear_block_loongson

function clear_blocks_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        b   clear_some_blocks_loongson
        li  $t0, 6
.end clear_blocks_loongson


.macro QPEL_FILTER_PREPARE
        li       $t4,  0x00140014
        li       $t5,  0x00030003
        li       $t6,  5
        mtc1     $t4,  $f28
        mtc1     $t4,  $f29
        mtc1     $t5,  $f30
        mtc1     $t5,  $f31
        mtc1     $t6,  $f26
.endm

/* in:
 * f0-f8 - in
 * f10-f14 - temp
 * f24 - rnd
 * f26 - shift
 * f28 - 20
 * f30 - 3
 * out: f10
 */
.macro QPEL_FILTER i0,i1,i2,i3,i4,i5
        paddh    $f14, \i0,  \i1  //t0 = s0+s1
        paddh    $f10, \i0,  \i2  //t1 = s0+s2
        paddh    $f12, \i1,  \i3  //t2 = s1+s3
        paddh    $f10, $f10, $f10 //t1 = 2(s0+s2)
        pmullh   $f14, $f14, $f28 //t0 = 20(s0+s1)
        psubh    $f10, $f12, $f10 //t1 = -2(s0+s2)+(s1+s3)
        paddh    $f12, \i2,  \i4  //t2 = s2+s4
        pmullh   $f10, $f10, $f30 //t1 = -6(s0+s2)+3(s1+s3)
        psubh    $f14, $f14, $f12 //t0 = 20(s0+s1)-(s2+s4)
        paddh    $f14, $f14, $f10 //t0 = 20(s0+s1)-6(s0+s2)+3(s1+s3)-(s2+s4)
        paddh    $f14, $f14, $f24
        psrah    $f10, $f14, $f26
.endm

.macro QPEL_V name,avg0=0,avg1=0
function put_qpel8_\name\()_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        li        $a3,  2
        QPEL_FILTER_PREPARE

        addiu     $t7,  $a1,  4
        addiu     $at,  $a0,  4
1:      addiu     $a3,  $a3,  -1

        add       $t9,  $a2,  $a2
        add       $t0,  $a1,  $a2
        add       $t1,  $a1,  $t9
        add       $t2,  $t0,  $t9
        add       $t3,  $t1,  $t9
        li        $t5,  0x00100010
        xor       $f22, $f22, $f22
        mtc1      $t5,  $f24
        mtc1      $t5,  $f25

        ulw       $t4, ($a1)
        ulw       $t6, ($t0)
        mtc1      $t4,  $f0
        mtc1      $t6,  $f2
        ulw       $t4, ($t1)
        ulw       $t6, ($t2)
        mtc1      $t4,  $f4
        mtc1      $t6,  $f6
        ulw       $t4, ($t3)
        mtc1      $t4,  $f8
        punpcklbh $f0,  $f0,  $f22
        punpcklbh $f2,  $f2,  $f22
        punpcklbh $f4,  $f4,  $f22
        punpcklbh $f6,  $f6,  $f22
        punpcklbh $f8,  $f8,  $f22

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f0,$f2,$f4,$f6,$f8
.if \avg0
        pavgh     $f10, $f10, $f0
.endif
.if \avg1
        pavgh     $f10, $f10, $f2
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f0
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f2,$f4,$f6,$f8,$f0
.if \avg0
        pavgh     $f10, $f10, $f2
.endif
.if \avg1
        pavgh     $f10, $f10, $f4
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f2
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f4,$f6,$f8,$f0,$f2
.if \avg0
        pavgh     $f10, $f10, $f4
.endif
.if \avg1
        pavgh     $f10, $f10, $f6
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f4
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f6,$f8,$f0,$f2,$f4
.if \avg0
        pavgh     $f10, $f10, $f6
.endif
.if \avg1
        pavgh     $f10, $f10, $f8
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f6
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f8,$f0,$f2,$f4,$f6
.if \avg0
        pavgh     $f10, $f10, $f8
.endif
.if \avg1
        pavgh     $f10, $f10, $f0
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f8
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f0,$f2,$f4,$f6,$f8
.if \avg0
        pavgh     $f10, $f10, $f0
.endif
.if \avg1
        pavgh     $f10, $f10, $f2
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f0
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f2,$f4,$f6,$f8,$f0
.if \avg0
        pavgh     $f10, $f10, $f2
.endif
.if \avg1
        pavgh     $f10, $f10, $f4
.endif
        ulw       $t4, ($a1)
        packushb  $f10, $f10, $f22
        mtc1      $t4,  $f2
        swc1      $f10,($a0)
        add       $a0,  $a0,  $a2

        add       $a1,  $t3,  $a2
        QPEL_FILTER $f4,$f6,$f8,$f0,$f2
.if \avg0
        pavgh     $f10, $f10, $f4
.endif
.if \avg1
        pavgh     $f10, $f10, $f6
.endif
        packushb  $f10, $f10, $f22
        move      $a1,  $t7
        swc1      $f10,($a0)

        bgtz      $a3,  1b
        move      $a0,  $at

        j         $31
        nop
.end put_qpel8_\name\()_loongson
.endm

QPEL_V mc02,0,0
QPEL_V mc01,1,0
QPEL_V mc03,0,1

