#include "asm.S"

        .set arch=loongson2f
        .set noreorder

function vc1_inv_trans_4x4_dc_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        lh         $t0,  0($a2)
        sll        $t1,  $t0,  4
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  4
        sra        $t0,  $t1,  3
        sll        $t1,  $t0,  4
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  64
        sra        $t0,  $t1,  7
        mtc1       $t0,  $f0
        mtc1       $0,   $f2
        mtc1       $0,   $f3
        pshufh     $f0,  $f0,  $f2
        psubh      $f2,  $f2,  $f0
        packushb   $f0,  $f0,  $f0
        packushb   $f2,  $f2,  $f2
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned4 $a0, $f4,  $t3
        load_unaligned4 $t0, $f6,  $t4
        load_unaligned4 $t1, $f8,  $t5
        load_unaligned4 $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned4 $a0, $f4,  $t3
        store_unaligned4 $t0, $f6,  $t4
        store_unaligned4 $t1, $f8,  $t5
        store_unaligned4 $t2, $f10, $t6
        j          $31
.end vc1_inv_trans_4x4_dc_loongson

function vc1_inv_trans_4x8_dc_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        lh         $t0,  0($a2)
        sll        $t1,  $t0,  4
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  4
        sra        $t0,  $t1,  3
        sll        $t1,  $t0,  1
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  16
        sra        $t0,  $t1,  5
        mtc1       $t0,  $f0
        mtc1       $0,   $f2
        mtc1       $0,   $f3
        pshufh     $f0,  $f0,  $f2
        psubh      $f2,  $f2,  $f0
        packushb   $f0,  $f0,  $f0
        packushb   $f2,  $f2,  $f2
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned4 $a0, $f4,  $t4
        load_unaligned4 $t0, $f6,  $t6
        load_unaligned4 $t1, $f8,  $t4
        load_unaligned4 $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned4 $a0, $f4,  $t4
        store_unaligned4 $t0, $f6,  $t6
        store_unaligned4 $t1, $f8,  $t4
        store_unaligned4 $t2, $f10, $t6
        add        $a0,  $t2,  $a1
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned4 $a0, $f4,  $t4
        load_unaligned4 $t0, $f6,  $t6
        load_unaligned4 $t1, $f8,  $t4
        load_unaligned4 $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned4 $a0, $f4,  $t3
        store_unaligned4 $t0, $f6,  $t4
        store_unaligned4 $t1, $f8,  $t5
        store_unaligned4 $t2, $f10, $t6
        j          $31
.end vc1_inv_trans_4x8_dc_loongson

function vc1_inv_trans_8x4_dc_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        lh         $t0,  0($a2)
        sll        $t1,  $t0,  1
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  1
        sra        $t0,  $t1,  1
        sll        $t1,  $t0,  4
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  64
        sra        $t0,  $t1,  7
        mtc1       $t0,  $f0
        mtc1       $0,   $f2
        mtc1       $0,   $f3
        pshufh     $f0,  $f0,  $f2
        psubh      $f2,  $f2,  $f0
        packushb   $f0,  $f0,  $f0
        packushb   $f2,  $f2,  $f2
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned $a0, $f4,  $t3
        load_unaligned $t0, $f6,  $t4
        load_unaligned $t1, $f8,  $t5
        load_unaligned $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned $a0, $f4,  $t4
        store_unaligned $t0, $f6,  $t6
        store_unaligned $t1, $f8,  $t4
        store_unaligned $t2, $f10, $t6
        j          $31
.end vc1_inv_trans_8x4_dc_loongson

function vc1_inv_trans_8x8_dc_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        lh         $t0,  0($a2)
        sll        $t1,  $t0,  1
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  1
        sra        $t0,  $t1,  1
        sll        $t1,  $t0,  1
        add        $t1,  $t1,  $t0
        add        $t1,  $t1,  16
        sra        $t0,  $t1,  5
        mtc1       $t0,  $f0
        mtc1       $0,   $f2
        mtc1       $0,   $f3
        pshufh     $f2,  $f2,  $f2
        pshufh     $f0,  $f0,  $f2
        psubh      $f2,  $f2,  $f0
        packushb   $f0,  $f0,  $f0
        packushb   $f2,  $f2,  $f2
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned $a0, $f4,  $t3
        load_unaligned $t0, $f6,  $t4
        load_unaligned $t1, $f8,  $t5
        load_unaligned $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned $a0, $f4,  $t4
        store_unaligned $t0, $f6,  $t6
        store_unaligned $t1, $f8,  $t4
        store_unaligned $t2, $f10, $t6
        add        $a0,  $t2,  $a1
        add        $t0,  $a0,  $a1
        add        $t1,  $t0,  $a1
        add        $t2,  $t1,  $a1
        load_unaligned $a0, $f4,  $t3
        load_unaligned $t0, $f6,  $t4
        load_unaligned $t1, $f8,  $t5
        load_unaligned $t2, $f10, $t6
        paddusb    $f4,  $f4,  $f0
        paddusb    $f6,  $f6,  $f0
        paddusb    $f8,  $f8,  $f0
        paddusb    $f10, $f10, $f0
        psubusb    $f4,  $f4,  $f2
        psubusb    $f6,  $f6,  $f2
        psubusb    $f8,  $f8,  $f2
        psubusb    $f10, $f10, $f2
        store_unaligned $a0, $f4,  $t4
        store_unaligned $t0, $f6,  $t6
        store_unaligned $t1, $f8,  $t4
        store_unaligned $t2, $f10, $t6
        j          $31
.end vc1_inv_trans_8x8_dc_loongson

/* in:
 * $f2-$f8 - A-D
 * out: same
 */
.macro VC1_INT_TRANS4
        li         $t0,  0x00110011
        mtc1       $t0,  $f10
        mtc1       $t0,  $f11
        li         $t2,  0x00160016
        mtc1       $t2,  $f12
        mtc1       $t2,  $f13
        li         $t0,  0x000A000A
        mtc1       $t0,  $f14
        mtc1       $t0,  $f15
        paddh      $f16, $f2,  $f4
        psubh      $f18, $f2,  $f4
        pmullh     $f16, $f16, $f10
        pmullh     $f18, $f18, $f10
        paddh      $f16, $f16, $f28 //t1 = 17(A+B)+BIAS
        paddh      $f18, $f18, $f28 //t2 = 17(A+B)+BIAS
        pmullh     $f20, $f6,  $f12 //t3 = 22C
        pmullh     $f6,  $f6,  $f14 //C = 10C
        pmullh     $f22, $f8,  $f12 //t4 = 22D
        pmullh     $f8,  $f8,  $f14 //D = 10D
        paddh      $f20, $f20, $f8  //t3 =  22C + 10D
        psubh      $f22, $f22, $f6  //t4 = -10C + 22D
        paddh      $f2,  $f16, $f20 //t1+t3
        psubh      $f4,  $f18, $f22 //t2-t4
        paddh      $f6,  $f18, $f22 //t2+t4
        psubh      $f8,  $f16, $f20 //t1-t3
        psrah      $f2,  $f2,  $f30
        psrah      $f4,  $f4,  $f30
        psrah      $f6,  $f6,  $f30
        psrah      $f8,  $f8,  $f30
.endm

/* in:
 * $f0 = 0
 * $f2-$f8 - A-D
 * $f10-$f18 - temp
 * $f28 - BIAS
 *
 * out:
 * $t4 - 12(A+B)+BIAS
 * $t6 - 12(A-B)+BIAS
 * $t8 - 16C+ 6D
 * $f26 -  6C-16D
 */
.macro VC1_INT_TRANS8_PART1
        li         $t0,  0x000C000C
        li         $t2,  0x00100010
        mtc1       $t0,  $f10
        mtc1       $t0,  $f11
        mtc1       $t2,  $f12
        mtc1       $t2,  $f13
        li         $t0,  0x00060006
        paddh      $f16, $f2,  $f6  //t0=A+C
        psubh      $f18, $f2,  $f6  //t1=A-C
        mtc1       $t0,  $f14
        mtc1       $t0,  $f15
        pmullh     $f16, $f16, $f10 //t0=12(A+C)
        pmullh     $f18, $f18, $f10 //t1=12(A-C)
        paddh      $f16, $f16, $f28 //t0=12(A+C)+BIAS
        paddh      $f18, $f18, $f28 //t1=12(A+C)+BIAS
        pmullh     $f2,  $f4,  $f12 //A=16B
        pmullh     $f6,  $f8,  $f14 //C=6D
        pmullh     $f4,  $f4,  $f14 //B=6B
        pmullh     $f8,  $f8,  $f12 //D=16D
        paddh      $f20, $f2,  $f6  //t2=16B+6D
        psubh      $f22, $f4,  $f8  //t3= 6B-16D
        paddh      $f10, $f16, $f20 //t0+t2
        paddh      $f12, $f18, $f22 //t1+t3
        psubh      $f14, $f18, $f22 //t1-t3
        dmfc1      $t4,  $f10
        dmfc1      $t6,  $f12
        dmfc1      $t8,  $f14
        psubh      $f26, $f16, $f20 //t0-t2
.endm

/* in:
 * $f0 - 0
 * $f2-$f8 - E-H
 * $f10-$f24 - temp
 * $f26 - saved
 * $f28 - saved
 * $f30 - SHIFT
 * $t4-$t8 - saved
 *
 * out:
 * $f10, $f12, $f14, $f24, $f26, $f6, $f4, $f2
 */
.macro VC1_INT_TRANS8_PART2 add_rounder=0
        li         $t0,  0x00040004
        li         $t2,  0x000F000F
        mtc1       $t0,  $f10
        mtc1       $t0,  $f11
        li         $t0,  0x00090009
        mtc1       $t2,  $f12
        mtc1       $t2,  $f13
        mtc1       $t0,  $f14
        mtc1       $t0,  $f15
        psllh      $f16, $f2,  $f10   //t0 = 16E
        pmullh     $f18, $f4,  $f12   //t1 = 15F
        pmullh     $f20, $f6,  $f14   //t2 =  9G
        paddh      $f16, $f16, $f18   //t0 = 16E + 15F
        paddh      $f16, $f16, $f20   //t0 = 16E + 15F +  9G
        pmullh     $f18, $f8,  $f10   //t1 =  4H
        pmullh     $f20, $f2,  $f12   //t2 = 15E
        paddh      $f16, $f16, $f18   //t0 = 16E + 15F +  9G +  4H
        pmullh     $f22, $f4,  $f10   //t3 =  4F
        psllh      $f18, $f6,  $f10   //t1 = 16G
        psubh      $f20, $f20, $f22   //t2 = 15E -  4F
        pmullh     $f22, $f8,  $f14   //t3 =  9H
        psubh      $f18, $f20, $f18   //t1 = 15E -  4F - 16G
        pmullh     $f20, $f2,  $f14   //t2 =  9E
        psubh      $f18, $f18, $f22   //t1 = 15E -  4F - 16G -  9H
        psllh      $f22, $f4,  $f10   //t3 = 16F
        pmullh     $f24, $f6,  $f10   //t4 =  4G
        psubh      $f20, $f20, $f22   //t2 =  9E - 16F
        pmullh     $f22, $f8,  $f12   //t3 = 15H
        paddh      $f20, $f20, $f24   //t2 =  9E - 16F +  4G
        pmullh     $f2,  $f2,  $f10   //E = 4E
        pmullh     $f4,  $f4,  $f14   //F = 9F
        paddh      $f20, $f20, $f22   //t2 =  9E - 16F +  4G + 15H
        psubh      $f22, $f2,  $f4    //t3 =  4E -  9F
        pmullh     $f6,  $f6,  $f12   //G = 15G
        psllh      $f8,  $f8,  $f10   //H = 16H
        paddh      $f22, $f22, $f6    //t3 =  4E -  9F + 15G
        dmtc1      $t4,  $f2
        psubh      $f22, $f22, $f8    //t3 =  4E -  9F + 15G - 16H
        dmtc1      $t6,  $f4
        paddh      $f10, $f2,  $f16   //r0 = s0 + t0
        dmtc1      $t8,  $f6
        paddh      $f12, $f4,  $f18   //r1 = s1 + t1
        paddh      $f14, $f6,  $f20   //r2 = s2 + t2
        paddh      $f24, $f26, $f22   //r3 = s3 + t3
.if \add_rounder
        li         $t0,  0x000100001
        mtc1       $t0,  $f8
        mtc1       $t0,  $f9
.endif
        psrah      $f10, $f10, $f30
        psrah      $f12, $f12, $f30
        psrah      $f14, $f14, $f30
        psrah      $f24, $f24, $f30
.if \add_rounder
        paddh      $f2,  $f2,  $f8
        paddh      $f4,  $f4,  $f8
        paddh      $f6,  $f6,  $f8
        paddh      $f26, $f26, $f8
.endif
        psubh      $f2,  $f2,  $f16   //s0 = s0 - t0
        psubh      $f4,  $f4,  $f18   //s1 = s1 - t1
        psubh      $f6,  $f6,  $f20   //s2 = s2 - t2
        psubh      $f26, $f26, $f22   //s3 = s3 - t3
        psrah      $f2,  $f2,  $f30
        psrah      $f4,  $f4,  $f30
        psrah      $f6,  $f6,  $f30
        psrah      $f26, $f26, $f30
.endm

.macro TRANSPOSE4x2 in,o1,o2
        lh         $t0,   0+\in
        lh         $t1,  16+\in
        lh         $t2,  32+\in
        lh         $t3,  48+\in
        mtc1       $t0,  \o1
        mtc1       $t1,  $f10
        mtc1       $t2,  $f12
        mtc1       $t3,  $f14
        lh         $t0,   4+\in
        lh         $t1,  20+\in
        lh         $t2,  36+\in
        lh         $t3,  52+\in
        mtc1       $t0,  \o2
        mtc1       $t1,  $f16
        mtc1       $t2,  $f18
        mtc1       $t3,  $f20
        pinsrh_1   \o1,  \o1,  $f10
        pinsrh_1   \o2,  \o2,  $f16
        pinsrh_2   \o1,  \o1,  $f12
        pinsrh_2   \o2,  \o2,  $f18
        pinsrh_3   \o1,  \o1,  $f14
        pinsrh_3   \o2,  \o2,  $f20
.endm

function vc1_inv_trans_8x8_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        xor        $f0,  $f0,  $f0

        li         $t0,  0x00040004
        mtc1       $t0,  $f28
        mtc1       $t0,  $f29
        li         $t2,  0x0003
        mtc1       $t2,  $f30
        li         $a1,  2
1:
        TRANSPOSE4x2  0($a0),$f2,$f4
        TRANSPOSE4x2  8($a0),$f6,$f8
        VC1_INT_TRANS8_PART1
        TRANSPOSE4x2  2($a0),$f2,$f4
        TRANSPOSE4x2 10($a0),$f6,$f8
        VC1_INT_TRANS8_PART2 0

        dmfc1      $t0,  $f10
        dmfc1      $t2,  $f12
        dmfc1      $t4,  $f14
        dmfc1      $t6,  $f24
        sd         $t0,   0($a0)
        sd         $t2,  16($a0)
        sd         $t4,  32($a0)
        sd         $t6,  48($a0)
        addiu      $a1,  $a1,  -1
        dmfc1      $t0,  $f26
        dmfc1      $t2,  $f6
        dmfc1      $t4,  $f4
        dmfc1      $t6,  $f2
        sd         $t0,   8($a0)
        sd         $t2,  24($a0)
        sd         $t4,  40($a0)
        sd         $t6,  56($a0)
        bgtz       $a1,  1b
        addiu      $a0,  $a0,  64

        addiu      $a0,  $a0,  -128

        li         $t0,  0x00400040
        mtc1       $t0,  $f28
        mtc1       $t0,  $f29
        li         $t2,  0x0007
        mtc1       $t2,  $f30
        li         $a1,  2
1:
        TRANSPOSE4x2  0($a0),$f2,$f4
        TRANSPOSE4x2 64($a0),$f6,$f8
        VC1_INT_TRANS8_PART1
        TRANSPOSE4x2  2($a0),$f2,$f4
        TRANSPOSE4x2 66($a0),$f6,$f8
        VC1_INT_TRANS8_PART2 1
        dmfc1      $t0,  $f10
        dmfc1      $t2,  $f12
        dmfc1      $t4,  $f14
        dmfc1      $t6,  $f24
        sd         $t0,    0($a0)
        sd         $t2,   16($a0)
        sd         $t4,   32($a0)
        sd         $t6,   48($a0)
        addiu      $a1,  $a1,  -1
        dmfc1      $t0,  $f26
        dmfc1      $t2,  $f6
        dmfc1      $t4,  $f4
        dmfc1      $t6,  $f2
        sd         $t0,   64($a0)
        sd         $t2,   80($a0)
        sd         $t4,   96($a0)
        sd         $t6,  112($a0)
        bgtz       $a1,  1b
        addiu      $a0,  $a0,  8

        j          $31
        nop
.end vc1_inv_trans_8x8_loongson

function vc1_v_overlap_loongson
        .frame  $sp,0,$31
        .mask   0x00000000,0
        .fmask  0x00000000,0

        add       $t0,  $a1,  $a1
        add       $t9,  $a0,  $a1
        sub       $t8,  $a0,  $a1
        sub       $t7,  $a0,  $t0
        li        $t1,  0x00030004
        li        $t2,  0x00040003
        li        $t3,  3
        mtc1      $t1,  $f26
        mtc1      $t1,  $f27
        mtc1      $t2,  $f28
        mtc1      $t2,  $f29
        mtc1      $t3,  $f24
        ldc1      $f6, ($t9)        //Dd
        ldc1      $f4, ($a0)        //Cc
        ldc1      $f2, ($t8)        //Bb
        ldc1      $f0, ($t7)        //Aa
        xor       $f30, $f30, $f30
        punpckhbh $f8,  $f0,  $f30  //A
        punpcklbh $f0,  $f0,  $f30  //a
        punpckhbh $f10, $f2,  $f30  //B
        punpcklbh $f2,  $f2,  $f30  //b
        punpckhbh $f12, $f4,  $f30  //C
        punpcklbh $f4,  $f4,  $f30  //c
        punpckhbh $f14, $f6,  $f30  //D
        punpcklbh $f6,  $f6,  $f30  //d
        psubh     $f20, $f10, $f12  //D2=B-C
        psubh     $f22, $f2,  $f4   //d2=b-c
        psubh     $f16, $f8,  $f14  //D1=A-D
        psubh     $f18, $f0,  $f6   //d1=a-d
        paddh     $f20, $f20, $f16  //D2=A-D+B-C
        paddh     $f22, $f22, $f18  //d2=a-d+b-c
        paddh     $f16, $f16, $f26  //D1=A-D+RND1
        paddh     $f18, $f18, $f26  //d1=a-d+RND1
        paddh     $f20, $f20, $f28  //D2=A-D+B-C+RND2
        paddh     $f22, $f22, $f28  //d2=a-d+b-c+RND2
        psrah     $f16, $f16, $f24  //D1 >> 3
        psrah     $f18, $f18, $f24  //d1 >> 3
        psrah     $f20, $f20, $f24  //D2 >> 3
        psrah     $f22, $f22, $f24  //d2 >> 3
        psubh     $f8,  $f8,  $f16  //A-D1
        psubh     $f0,  $f0,  $f18  //a-d1
        paddh     $f14, $f16, $f16  //D+D1
        paddh     $f6,  $f6,  $f18  //d+d1
        psubh     $f10, $f10, $f20  //B-D2
        psubh     $f2,  $f2,  $f22  //b-d2
        paddh     $f12, $f12, $f20  //C+D2
        paddh     $f4,  $f4,  $f22  //C+d2
        packushb  $f0,  $f8,  $f0   //Aa
        packushb  $f2,  $f10, $f2   //Bb
        packushb  $f4,  $f12, $f4   //Cc
        packushb  $f6,  $f14, $f6   //Dd
        sdc1      $f6, ($t9)        //Dd
        sdc1      $f4, ($a0)        //Cc
        sdc1      $f2, ($t8)        //Bb
        sdc1      $f0, ($t7)        //Aa

        j          $31
        nop
.end vc1_v_overlap_loongson

